Workflows

Endpoints related to workflows.

GET /workflow/

List all of the workflow in the system for your account.

List all of the workflow in the system for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested workflow cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested workflow name already exists.

  • 409 Conflict – The requested workflow is attached to line items that are processing.

POST /workflow/

Create a new workflow resource.

Create a new workflow resource.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested workflow cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested workflow name already exists.

  • 409 Conflict – The requested workflow is attached to line items that are processing.

Response Headers:
  • Location – URI of the created resource

GET /workflow/{uuid}/

Get an individual workflow resource by UUID.

Get an individual workflow resource by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested workflow cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested workflow name already exists.

  • 409 Conflict – The requested workflow is attached to line items that are processing.

PUT /workflow/{uuid}/

Update a workflow by UUID.

Update a workflow by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – The requested workflow cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested workflow name already exists.

  • 409 Conflict – The requested workflow is attached to line items that are processing.

DELETE /workflow/{uuid}/

Delete a workflow by UUID. We allowing to delete only `WorkflowUsageState.inactive` workflow.

Delete a workflow by UUID. We allowing to delete only WorkflowUsageState.inactive workflow.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 404 Not Found – The requested workflow cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested workflow name already exists.

  • 409 Conflict – The requested workflow is attached to line items that are processing.

GET /process-step/

List all of the process steps in your bureau

List all of the process steps in your bureau

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested process_step cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested process_step name already exists. Cannot delete process-step that belongs to a workflow. There is a mismatch in the bureau of the requesting user and the bureau of the requested user

POST /process-step/

Create a new process step resource.

Create a new process step resource.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested process_step cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested process_step name already exists. Cannot delete process-step that belongs to a workflow. There is a mismatch in the bureau of the requesting user and the bureau of the requested user

Response Headers:
  • Location – URI of the created resource

GET /process-step/{uuid}/

Get an individual process step resource by UUID.

Get an individual process step resource by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested process_step cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested process_step name already exists. Cannot delete process-step that belongs to a workflow. There is a mismatch in the bureau of the requesting user and the bureau of the requested user

PUT /process-step/{uuid}/

Update a new process step resource.

Update a new process step resource.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – The requested process_step cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested process_step name already exists. Cannot delete process-step that belongs to a workflow. There is a mismatch in the bureau of the requesting user and the bureau of the requested user

DELETE /process-step/{uuid}/

Delete a process-step by UUID.

Delete a process-step by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 404 Not Found – The requested process_step cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The value of bureau appears to be an invalid bureau. The requested process_step name already exists. Cannot delete process-step that belongs to a workflow. There is a mismatch in the bureau of the requesting user and the bureau of the requested user

GET /process-provider/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested Process Provider (or related record) cannot be found.

  • 403 Forbidden – Service provider user cannot create process provider.

POST /process-provider/
Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested Process Provider (or related record) cannot be found.

  • 403 Forbidden – Service provider user cannot create process provider.

Response Headers:
  • Location – URI of the created resource

GET /process-provider/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested Process Provider (or related record) cannot be found.

  • 403 Forbidden – Service provider user cannot create process provider.

PUT /process-provider/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – The requested Process Provider (or related record) cannot be found.

  • 403 Forbidden – Service provider user cannot create process provider.

POST /workflow/<uuid:source_workflow_uuid>/replace/

Replaces source_workflow with newly created workflow

Replaces source_workflow with newly created workflow

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested workflow cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The requested workflow name already exists.

  • 409 Conflict – The requested workflow is attached to line items that are processing.

Response Headers:
  • Location – URI of the created resource